/*
Theme Name:   Twenty Twenty Four Child
Theme URI:    http://www.press-agrum.com/
Description:  Twenty Twenty Four Child Theme
Author:       Press•Agrum
Author URI:   http://www.press-agrum.com/
Template:     twentytwentyfour
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
Text Domain:  twentytwentyfourhild
*/

*,
::before,
::after {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-gradient-from-position:  ;
  --tw-gradient-via-position:  ;
  --tw-gradient-to-position:  ;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
}

::backdrop {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-gradient-from-position:  ;
  --tw-gradient-via-position:  ;
  --tw-gradient-to-position:  ;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
}

*,
::before,
::after {
  box-sizing: border-box;
}

@font-face {
  font-family: 'Nexa';

  src: url('./assets/fonts/Nexa-Light.otf') format('opentype');

  font-style: normal;

  font-weight: 400;
}

@font-face {
  font-family: 'Nexa';

  src: url('./assets/fonts/Nexa-Bold.otf') format('opentype');

  font-style: normal;

  font-weight: 700;
}

@font-face {
  font-family: 'Poppins';

  src: url('./assets/fonts/Poppins-Regular.ttf') format('truetype');

  font-style: normal;

  font-weight: 400;
}

@font-face {
  font-family: 'Poppins';

  src: url('./assets/fonts/Poppins-Italic.ttf') format('truetype');

  font-style: italic;

  font-weight: 400;
}

@font-face {
  font-family: 'Poppins';

  src: url('./assets/fonts/Poppins-Bold.ttf') format('truetype');

  font-style: normal;

  font-weight: 700;
}

@font-face {
  font-family: 'Poppins';

  src: url('./assets/fonts/Poppins-BoldItalic.ttf') format('truetype');

  font-style: italic;

  font-weight: 700;
}

html {
  scrollbar-width: none !important;
}

body {
  -ms-overflow-style: none;
  font-family: Poppins, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body::-webkit-scrollbar {
  width: 0 !important;
  height: 0 !important;
}

.scrollbar {
  position: fixed;
  right: 0px;
  top: 0px;
  z-index: 50;
  display: none;
  height: 100svh;
  width: 1rem;
  padding: 0.25rem;
}

@media (min-width: 1024px) {
  .scrollbar {
    display: block;
  }
}

.scrollbar-track {
  width: 100%;
  border-radius: 9999px;
  border-width: 1px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(209 213 219 / var(--tw-border-opacity));
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity));
  opacity: 0;
  transition-property: opacity;
  transition-duration: 300ms;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.scrollbar-track.active {
  opacity: 1;
}

.top-bar figure:last-child {
  display: flex;
  width: 180px;
  justify-content: flex-end;
}

/**
 * Navigation
 */

.wp-block-navigation-item__content {
  position: relative;
}

.wp-block-navigation-item__content::after {
  position: absolute;
  bottom: -0.25rem;
  left: 0px;
  height: 2px;
  width: 0px;
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity));
  transition-property: all;
  transition-duration: 300ms;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  --tw-content: '';
  content: var(--tw-content);
}

.wp-block-navigation-item__content:hover::after {
  content: var(--tw-content);
  width: 100%;
}

.wp-block-navigation-item__content:hover {
  text-decoration-line: none !important;
}

/**
    * Post Meta
    */

.wp-block-post-terms__separator {
  display: none;
}

.taxonomy-category.is-style-pill.wp-block-post-terms {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.taxonomy-category.is-style-pill.wp-block-post-terms a {
  border-width: 2px;
  border-style: solid;
  --tw-border-opacity: 1;
  border-color: rgb(0 0 0 / var(--tw-border-opacity));
  background-color: transparent;
}

.taxonomy-category.is-style-pill.wp-block-post-terms a:hover {
  --tw-border-opacity: 1 !important;
  border-color: rgb(0 0 0 / var(--tw-border-opacity)) !important;
  --tw-bg-opacity: 1 !important;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity)) !important;
  --tw-text-opacity: 1 !important;
  color: rgb(255 255 255 / var(--tw-text-opacity)) !important;
}

.taxonomy-category.is-style-pill.wp-block-post-terms a {
  transition-property: all;
  transition-duration: 300ms;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  text-decoration-line: none !important;
}

/**
    * Button
    */

.wp-element-button,
.wp-block-button__link,
.wp-block-read-more {
  transition-property: all;
  transition-duration: 300ms;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.wp-block-read-more:hover {
  background-color: var(--wp--preset--color--primary);
}

/**
    * Search
    */

:where(.wp-block-search__button-inside .wp-block-search__inside-wrapper) {
  border-radius: 0.75rem;
  border-width: 2px;
  --tw-border-opacity: 1;
  border-color: rgb(0 0 0 / var(--tw-border-opacity));
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity));
}

:where(.wp-block-search__button-inside .wp-block-search__inside-wrapper) .wp-block-search__input {
  padding-left: 0.75rem;
}

/**
    * Header
    */

header {
  position: sticky;
  top: 0px;
  z-index: 50;
}

@supports (animation-timeline: view()) {
  @media (prefers-reduced-motion: no-preference) and (min-width: 1325px) {
    header {
      animation: fixed-header linear both;
      animation-timeline: scroll(y);
      animation-range: 100px 350px;
      animation-duration: 1ms;
    }
  }
}

@keyframes fixed-header {
  from {
    transform: translateY(0);
  }

  to {
    transform: translateY(-57px);
    border-left-width: 0px;
    border-right-width: 0px;
    border-top-width: 0px;
    border-style: solid;
    --tw-border-opacity: 1;
    border-color: rgb(209 213 219 / var(--tw-border-opacity));
  }
}

/**
    * Glassmorphism
    */

.glassmorphism {
  border-width: 1px;
  border-style: solid;
  border-color: rgb(243 244 246 / 0.2);
  background-color: rgb(156 163 175 / var(--tw-bg-opacity));
  --tw-bg-opacity: 0.3;
  background-clip: padding-box;
  --tw-backdrop-blur: blur(24px);
  -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);
          backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);
}

/**
    * Utilities
    */

.h-full-no-header {
  height: calc(100svh - 220px);
  align-items: flex-end;
}

.is-style-pill a,
.is-style-pill span:not([class], [data-rich-text-placeholder]) {
  border-radius: 9999px;
}

/**
    * Cover
    */

.wp-block-cover .taxonomy-category.is-style-pill.wp-block-post-terms a {
  --tw-border-opacity: 1;
  border-color: rgb(255 255 255 / var(--tw-border-opacity));
}

.flex-home-cover {
  position: relative;
  display: flex;
  flex-direction: column;
}

.d-img {
  position: absolute;
  bottom: 0.75rem;
  right: -0.75rem;
  z-index: 10;
  --tw-translate-y: -33.333333%;
  --tw-translate-x: 33.333333%;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.mt-autox {
  margin-top: auto !important;
}

/**
    * Categories
    */

.wp-block-categories-list {
  display: flex;
  flex-wrap: wrap;
  -moz-column-gap: 1rem;
       column-gap: 1rem;
  row-gap: 0.5rem;
}

/**
    * Author
    */

.wp-block-post-author__name {
}

.wp-block-post-author__bio {
  font-size: var(--wp--preset--font-size--small);
}

@media (max-width: 1080px) {
  .wp-block-post-template-is-layout-grid.wp-block-post-template-is-layout-grid.wp-block-post-template-is-layout-grid.wp-block-post-template-is-layout-grid {
    grid-template-columns: 1fr;
  }

  .wp-block-columns {
    flex-wrap: wrap !important;
  }

  .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
    flex-basis: 100% !important;
  }

  header {
    margin-bottom: 2.5rem;
    border-left-width: 0px;
    border-right-width: 0px;
    border-top-width: 0px;
    border-style: solid;
    --tw-border-opacity: 1;
    border-color: rgb(209 213 219 / var(--tw-border-opacity));
  }

  .post-template-default header {
    margin-bottom: 0px !important;
  }
}

@media (max-width: 1325px) {
  .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: flex;
  }

  .wp-block-navigation__responsive-container {
    position: fixed !important;
    inset: 0px !important;
    top: 0px !important;
    z-index: -10 !important;
    height: 100svh !important;
    width: 0px !important;
    --tw-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1) !important;
    --tw-shadow-colored: 0 20px 25px -5px var(--tw-shadow-color), 0 8px 10px -6px var(--tw-shadow-color) !important;
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow) !important;
    display: none;
  }

  .wp-block-navigation__responsive-container.is-menu-open {
    z-index: 50 !important;
    width: 380px !important;
    max-width: 100% !important;
    padding: 1rem !important;
  }
}

.home .text-intro-home {
  width: 75%;
}

@media (max-width: 1567px) {
  .home .d-img {
    visibility: hidden;
    display: none;
  }

  .home .text-intro-home {
    width: 100%;
  }
}